(defvar f1        "freeVars")

(defvar c1        "Var")
(defvar c2        "App")
(defvar c3        "Lam")
(defvar c4        "Pi")
(defvar c5        "Let")
(defvar c6        "Kind")

(defvar mod       "CubeExpr")

(defvar f1c1      "freeVarsVar")
(defvar f1c2      "freeVarsApp")
(defvar f1c3      "freeVarsLam")
(defvar f1c4      "freeVarsPi")
(defvar f1c5      "freeVarsLet")
(defvar f1c6      "freeVarsKind")

(defvar varmod    "VarMod")
(defvar appmod    "AppMod")
(defvar lammod    "LamMod")
(defvar pimod     "PiMod")
(defvar letmod    "LetMod")
(defvar kindmod   "KindMod")
(defvar climod    "Client")

(defvar f2 "alphaEq")

(defvar f2c1 "alphaEqVar")
(defvar f2c2 "alphaEqApp")
(defvar f2c3 "alphaEqLam")
(defvar f2c4 "alphaEqPi")
(defvar f2c5 "alphaEqLet")
(defvar f2c6 "alphaEqKind")



;; Fonction alphaEq

;; 1 - Unfold business functions
(haskell-refac-unfoldIn f2c1 f2 mod)
(haskell-refac-unfoldIn f2c2 f2 mod)
(haskell-refac-unfoldIn f2c3 f2 mod)
(haskell-refac-unfoldIn f2c4 f2 mod)
(haskell-refac-unfoldIn f2c5 f2 mod)
(haskell-refac-unfoldIn f2c6 f2 mod)

;; 2 - Delete business functions
(haskell-refac-removeTopLevelDef f2c1 varmod)
(haskell-refac-removeTopLevelDef f2c2 appmod)
(haskell-refac-removeTopLevelDef f2c3 lammod)
(haskell-refac-removeTopLevelDef f2c4 pimod)
(haskell-refac-removeTopLevelDef f2c5 letmod)
(haskell-refac-removeTopLevelDef f2c6 kindmod)

;; Fonction freeVars

(haskell-refac-unfoldIn f1c1 f1 mod)
(haskell-refac-unfoldIn f1c2 f1 mod)
(haskell-refac-unfoldIn f1c3 f1 mod)
(haskell-refac-unfoldIn f1c4 f1 mod)
(haskell-refac-unfoldIn f1c6 f1 mod)

(haskell-refac-removeTopLevelDef f1c1 varmod)
(haskell-refac-removeTopLevelDef f1c2 appmod)
(haskell-refac-removeTopLevelDef f1c3 lammod)
(haskell-refac-removeTopLevelDef f1c4 pimod)
(haskell-refac-removeTopLevelDef f1c6 kindmod)

(haskell-refac-cleanImportsMod mod)


